# joywins_my_data_coupang_order

## 쿠팡 주문 목록 스크래퍼

### 개요

쿠팡에서 주문 목록을 추출하여 CSV 파일로 저장하는 파이썬 라이브러리입니다. Selenium을 사용하여 웹 브라우저를 제어하고 주문 정보를 스크래핑합니다.

### 기능

* 사용자 로그인 (웹 브라우저에서 직접 로그인)
* 주문 목록 페이지 스크래핑
* 주문 날짜, 상품명, 가격, URL, 주문 상태, 분리 배송 여부, 카테고리 정보 등 추출
* 스크래핑된 데이터를 Pandas DataFrame에 저장 후 CSV 파일로 저장
* "취소 완료" 주문 건에 대한 가격 정보 메모 및 가격 0원 처리
* 상품 상세 페이지 접근하여 카테고리 정보 추가
* 분리 배송된 동일 상품 중복 제거

### 설치

```bash
pip install joywins_my_data_coupang_order
```


### 사용법
1. 터미널에서 joywins_my_data_coupang_order 명령을 실행합니다.

2. Selenium이 실행되어 크롬 웹 브라우저가 열리고 쿠팡 로그인 페이지로 이동합니다.

3. 30초 내에 쿠팡 웹사이트에 직접 로그인합니다.

4. 로그인이 완료되면 자동으로 주문 목록 스크래핑이 시작됩니다.

5. 스크래핑이 완료되면 CSV 파일(coupang_orders_from{시작일}_to{종료일}_at{YYYYMMDD}-{HHMM}.csv)로 저장됩니다.

### 예시
```bash
joywins_my_data_coupang_order
```

### 주의 사항
- 쿠팡 웹사이트의 구조 변경에 따라 스크래핑 코드가 작동하지 않을 수 있습니다.
- **본 라이브러리는 합법적인 목적으로만 사용해야 합니다.**
- **타인의 계정 정보를 이용하여 정보를 취득하거나 불법적인 행위를 하는 것은 엄격히 금지됩니다.**
- 쿠팡 이용 약관을 준수하여 사용해야 합니다.



### 라이선스
MIT License

### 기여
버그 리포트, 기능 요청, 코드 기여 등은 언제든 환영합니다.

GitHub 저장소에 이슈를 등록하거나 풀 리퀘스트를 보내주세요.